
CoCoA-5 - Bug #1614

SourceRegion gives misleading error mesg

02 Oct 2021 10:23 - John Abbott

Status: Closed Start date: 02 Oct 2021

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: bug Estimated time: 1.66 hour

Target version: CoCoA-5.4.0 Spent time: 1.65 hour

Description

Here is the simplified failing example from issue #1613:

F3 ::= ZZ/(3);

phi := CanonicalHom(ZZ,F3);

psi := InducedHom(QQ,phi);

a:=psi(1/3);

 

If I send these lines to CoCoA-5 (inside emacs) using SourceRegion then the correct error mesg is not produced, but instead:

--> ERROR: Line number or char position too large or negative

--> SourceRegion 11,1 to 15,1 in "/home/jabbott/ShortTerm/BUG-FrF.cocoa5";

--> ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^

Why?  The printed error is completely unhelpful (and wrong!)

Related issues:

Related to CoCoA-5 - Bug #1613: CRASH with RingHom from FrF Closed 30 Sep 2021

History

#1 - 02 Oct 2021 10:25 - John Abbott

The relevant source code is around line 4170 in Interpreter.C

inside the function void SourceRegionStatement::implExecute(RuntimeEnvironment *runtimeEnv)

#2 - 04 Oct 2021 10:08 - John Abbott

- Related to Bug #1613: CRASH with RingHom from FrF added

#3 - 04 Oct 2021 12:11 - John Abbott

- Status changed from New to Resolved

- Assignee set to John Abbott

- % Done changed from 0 to 80

I have rather blindly changed the interpreter.  The code now seems to work as hoped (but I am not too confident that other nasty surprises aren't

lurking in ambush).

#4 - 20 Oct 2021 22:05 - John Abbott

- Status changed from Resolved to Feedback

- % Done changed from 80 to 90
https://cocoa.dima.unige.it/redmine/issues/1613


#5 - 10 Nov 2021 18:04 - John Abbott

- Status changed from Feedback to Closed

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.0

- % Done changed from 90 to 100

- Estimated time set to 1.66 h
